Create recurrent payment page

To create a recurring charge, include the Payment.RecurrentPayment node in the request. The recurrence is created only if the first transaction is authorized.

⚠️

Warning

Recurring orders must use Shipping.Type = "WithoutShipping", regardless of the product type.

Request

POST https://cieloecommerce.cielo.com.br/api/public/v1/orders/

header 'Authorization: Bearer {access_token}'

{
  "OrderNumber": "REC20260701",
  "SoftDescriptor": "Monthly Subscription",
  "Cart": {
    "Items": [
      {
        "Name": "Premium Monthly Plan",
        "Description": "Premium Plan monthly subscription",
        "UnitPrice": 9900,
        "Quantity": 1,
        "Type": "Service",
        "Sku": "PLAN-PREMIUM-001"
      }
    ]
  },
  "Shipping": {
    "Type": "WithoutShipping"
  },
  "Payment": {
    "RecurrentPayment": {
      "Interval": "Monthly",
      "EndDate": "2029-07-01"
    }
  },
  "Customer": {
    "Identity": "12345678909",
    "FullName": "Aline Souza",
    "Email": "[email protected]",
    "Phone": "11999999999"
  }
}

Payment.RecurrentPayment parameters

ParameterDescriptionTypeLengthRequired
Payment.RecurrentPayment.IntervalInterval between recurring charges. Accepted values: "Monthly", "Bimonthly", "Quarterly", "SemiAnnual", "Annual".alphanumeric10No
Payment.RecurrentPayment.EndDateRecurrence end date in YYYY-MM-DD format. If it is not provided, the recurrence ends only when canceled.date10No

Response

{
  "settings": {
    "checkoutUrl": "https://cieloecommerce.cielo.com.br/transacional/order/xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
    "Profile": "CheckoutCielo",
    "Version": 1
  }
}

PropertyDescriptionTypeFormat
settings.checkoutUrlPayment page URL shown to the shopper. The transaction is created only when the shopper completes the payment on this page.stringURL
settings.ProfileMerchant profile in Checkout Cielo.string
settings.VersionVersion of the order creation process.number